// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/AnalyzerSample.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace AnalyzerSample {

  /// <summary>Holder for reflection information generated from telemetry/AnalyzerSample.proto</summary>
  public static partial class AnalyzerSampleReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/AnalyzerSample.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static AnalyzerSampleReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ch50ZWxlbWV0cnkvQW5hbHl6ZXJTYW1wbGUucHJvdG8SD2FuYWx5emVyX3Nh",
            "bXBsZSLyBAoOQW5hbHl6ZXJTYW1wbGUSDQoBdRgBIAEoCUICGAESDQoBaRgC",
            "IAEoCUICGAESDwoDY2Z1GAMgASgJQgIYARIPCgNjZmkYBCABKAlCAhgBEg4K",
            "AnBmGAUgASgJQgIYARIPCgNwc3QYBiABKAlCAhgBEg8KA3BsdBgHIAEoCUIC",
            "GAESEQoFdGhkX2kYCCABKAlCAhgBEhEKBXRoZF91GAkgASgJQgIYARIQCgRm",
            "cmVxGAogASgJQgIYARIYCgxhY3RpdmVfcG93ZXIYCyABKAlCAhgBEhoKDmFw",
            "cGFyZW50X3Bvd2VyGAwgASgJQgIYARIaCg5yZWFjdGl2ZV9wb3dlchgNIAEo",
            "CUICGAESEwoHY29zX3BoaRgOIAEoCUICGAESEgoGdGdfcGhpGA8gASgJQgIY",
            "ARJUChRhbmFseXplcl9zYW1wbGVfdHlwZRgQIAEoDjIyLmFuYWx5emVyX3Nh",
            "bXBsZS5BbmFseXplclNhbXBsZS5BbmFseXplclNhbXBsZVR5cGVCAhgBEjgK",
            "BXBoYXNlGBEgASgOMiUuYW5hbHl6ZXJfc2FtcGxlLkFuYWx5emVyU2FtcGxl",
            "LlBoYXNlQgIYASIvChJBbmFseXplclNhbXBsZVR5cGUSBwoDYXZnEAASBwoD",
            "bWluEAESBwoDbWF4EAIiegoFUGhhc2USBgoCTDEQABIGCgJMMhABEgYKAkwz",
            "EAISCAoETDFfThADEggKBEwyX04QBBIICgRMM19OEAUSCAoEUEVfThAGEgUK",
            "AU4QBxIJCgVMMV9MMhAIEgkKBUwyX0wzEAkSCQoFTDNfTDEQChIJCgVUT1RB",
            "TBALQnoKG2NvbS5jb2RpYmx5Lm1vZGVsLnRlbGVtZXRyeUITQW5hbHl6ZXJT",
            "YW1wbGVQcm90b8oCG0RvbWFpbk1vZGVsXFByb3RvXFRlbGVtZXRyeeICJ0Rv",
            "bWFpbk1vZGVsXFByb3RvXFRlbGVtZXRyeVxHUEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::AnalyzerSample.AnalyzerSample), global::AnalyzerSample.AnalyzerSample.Parser, new[]{ "U", "I", "Cfu", "Cfi", "Pf", "Pst", "Plt", "ThdI", "ThdU", "Freq", "ActivePower", "ApparentPower", "ReactivePower", "CosPhi", "TgPhi", "AnalyzerSampleType", "Phase" }, null, new[]{ typeof(global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType), typeof(global::AnalyzerSample.AnalyzerSample.Types.Phase) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  /// <summary>
  /// Deprecated
  /// </summary>
  public sealed partial class AnalyzerSample : pb::IMessage<AnalyzerSample>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<AnalyzerSample> _parser = new pb::MessageParser<AnalyzerSample>(() => new AnalyzerSample());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<AnalyzerSample> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::AnalyzerSample.AnalyzerSampleReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public AnalyzerSample() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public AnalyzerSample(AnalyzerSample other) : this() {
      u_ = other.u_;
      i_ = other.i_;
      cfu_ = other.cfu_;
      cfi_ = other.cfi_;
      pf_ = other.pf_;
      pst_ = other.pst_;
      plt_ = other.plt_;
      thdI_ = other.thdI_;
      thdU_ = other.thdU_;
      freq_ = other.freq_;
      activePower_ = other.activePower_;
      apparentPower_ = other.apparentPower_;
      reactivePower_ = other.reactivePower_;
      cosPhi_ = other.cosPhi_;
      tgPhi_ = other.tgPhi_;
      analyzerSampleType_ = other.analyzerSampleType_;
      phase_ = other.phase_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public AnalyzerSample Clone() {
      return new AnalyzerSample(this);
    }

    /// <summary>Field number for the "u" field.</summary>
    public const int UFieldNumber = 1;
    private string u_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string U {
      get { return u_; }
      set {
        u_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "i" field.</summary>
    public const int IFieldNumber = 2;
    private string i_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string I {
      get { return i_; }
      set {
        i_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "cfu" field.</summary>
    public const int CfuFieldNumber = 3;
    private string cfu_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Cfu {
      get { return cfu_; }
      set {
        cfu_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "cfi" field.</summary>
    public const int CfiFieldNumber = 4;
    private string cfi_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Cfi {
      get { return cfi_; }
      set {
        cfi_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "pf" field.</summary>
    public const int PfFieldNumber = 5;
    private string pf_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Pf {
      get { return pf_; }
      set {
        pf_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "pst" field.</summary>
    public const int PstFieldNumber = 6;
    private string pst_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Pst {
      get { return pst_; }
      set {
        pst_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "plt" field.</summary>
    public const int PltFieldNumber = 7;
    private string plt_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Plt {
      get { return plt_; }
      set {
        plt_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "thd_i" field.</summary>
    public const int ThdIFieldNumber = 8;
    private string thdI_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ThdI {
      get { return thdI_; }
      set {
        thdI_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "thd_u" field.</summary>
    public const int ThdUFieldNumber = 9;
    private string thdU_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ThdU {
      get { return thdU_; }
      set {
        thdU_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "freq" field.</summary>
    public const int FreqFieldNumber = 10;
    private string freq_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Freq {
      get { return freq_; }
      set {
        freq_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "active_power" field.</summary>
    public const int ActivePowerFieldNumber = 11;
    private string activePower_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ActivePower {
      get { return activePower_; }
      set {
        activePower_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "apparent_power" field.</summary>
    public const int ApparentPowerFieldNumber = 12;
    private string apparentPower_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ApparentPower {
      get { return apparentPower_; }
      set {
        apparentPower_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "reactive_power" field.</summary>
    public const int ReactivePowerFieldNumber = 13;
    private string reactivePower_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ReactivePower {
      get { return reactivePower_; }
      set {
        reactivePower_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "cos_phi" field.</summary>
    public const int CosPhiFieldNumber = 14;
    private string cosPhi_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string CosPhi {
      get { return cosPhi_; }
      set {
        cosPhi_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "tg_phi" field.</summary>
    public const int TgPhiFieldNumber = 15;
    private string tgPhi_ = "";
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TgPhi {
      get { return tgPhi_; }
      set {
        tgPhi_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "analyzer_sample_type" field.</summary>
    public const int AnalyzerSampleTypeFieldNumber = 16;
    private global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType analyzerSampleType_ = global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType.Avg;
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType AnalyzerSampleType {
      get { return analyzerSampleType_; }
      set {
        analyzerSampleType_ = value;
      }
    }

    /// <summary>Field number for the "phase" field.</summary>
    public const int PhaseFieldNumber = 17;
    private global::AnalyzerSample.AnalyzerSample.Types.Phase phase_ = global::AnalyzerSample.AnalyzerSample.Types.Phase.L1;
    [global::System.ObsoleteAttribute]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::AnalyzerSample.AnalyzerSample.Types.Phase Phase {
      get { return phase_; }
      set {
        phase_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as AnalyzerSample);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(AnalyzerSample other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (U != other.U) return false;
      if (I != other.I) return false;
      if (Cfu != other.Cfu) return false;
      if (Cfi != other.Cfi) return false;
      if (Pf != other.Pf) return false;
      if (Pst != other.Pst) return false;
      if (Plt != other.Plt) return false;
      if (ThdI != other.ThdI) return false;
      if (ThdU != other.ThdU) return false;
      if (Freq != other.Freq) return false;
      if (ActivePower != other.ActivePower) return false;
      if (ApparentPower != other.ApparentPower) return false;
      if (ReactivePower != other.ReactivePower) return false;
      if (CosPhi != other.CosPhi) return false;
      if (TgPhi != other.TgPhi) return false;
      if (AnalyzerSampleType != other.AnalyzerSampleType) return false;
      if (Phase != other.Phase) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (U.Length != 0) hash ^= U.GetHashCode();
      if (I.Length != 0) hash ^= I.GetHashCode();
      if (Cfu.Length != 0) hash ^= Cfu.GetHashCode();
      if (Cfi.Length != 0) hash ^= Cfi.GetHashCode();
      if (Pf.Length != 0) hash ^= Pf.GetHashCode();
      if (Pst.Length != 0) hash ^= Pst.GetHashCode();
      if (Plt.Length != 0) hash ^= Plt.GetHashCode();
      if (ThdI.Length != 0) hash ^= ThdI.GetHashCode();
      if (ThdU.Length != 0) hash ^= ThdU.GetHashCode();
      if (Freq.Length != 0) hash ^= Freq.GetHashCode();
      if (ActivePower.Length != 0) hash ^= ActivePower.GetHashCode();
      if (ApparentPower.Length != 0) hash ^= ApparentPower.GetHashCode();
      if (ReactivePower.Length != 0) hash ^= ReactivePower.GetHashCode();
      if (CosPhi.Length != 0) hash ^= CosPhi.GetHashCode();
      if (TgPhi.Length != 0) hash ^= TgPhi.GetHashCode();
      if (AnalyzerSampleType != global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType.Avg) hash ^= AnalyzerSampleType.GetHashCode();
      if (Phase != global::AnalyzerSample.AnalyzerSample.Types.Phase.L1) hash ^= Phase.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (U.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(U);
      }
      if (I.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(I);
      }
      if (Cfu.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(Cfu);
      }
      if (Cfi.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(Cfi);
      }
      if (Pf.Length != 0) {
        output.WriteRawTag(42);
        output.WriteString(Pf);
      }
      if (Pst.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(Pst);
      }
      if (Plt.Length != 0) {
        output.WriteRawTag(58);
        output.WriteString(Plt);
      }
      if (ThdI.Length != 0) {
        output.WriteRawTag(66);
        output.WriteString(ThdI);
      }
      if (ThdU.Length != 0) {
        output.WriteRawTag(74);
        output.WriteString(ThdU);
      }
      if (Freq.Length != 0) {
        output.WriteRawTag(82);
        output.WriteString(Freq);
      }
      if (ActivePower.Length != 0) {
        output.WriteRawTag(90);
        output.WriteString(ActivePower);
      }
      if (ApparentPower.Length != 0) {
        output.WriteRawTag(98);
        output.WriteString(ApparentPower);
      }
      if (ReactivePower.Length != 0) {
        output.WriteRawTag(106);
        output.WriteString(ReactivePower);
      }
      if (CosPhi.Length != 0) {
        output.WriteRawTag(114);
        output.WriteString(CosPhi);
      }
      if (TgPhi.Length != 0) {
        output.WriteRawTag(122);
        output.WriteString(TgPhi);
      }
      if (AnalyzerSampleType != global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType.Avg) {
        output.WriteRawTag(128, 1);
        output.WriteEnum((int) AnalyzerSampleType);
      }
      if (Phase != global::AnalyzerSample.AnalyzerSample.Types.Phase.L1) {
        output.WriteRawTag(136, 1);
        output.WriteEnum((int) Phase);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (U.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(U);
      }
      if (I.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(I);
      }
      if (Cfu.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(Cfu);
      }
      if (Cfi.Length != 0) {
        output.WriteRawTag(34);
        output.WriteString(Cfi);
      }
      if (Pf.Length != 0) {
        output.WriteRawTag(42);
        output.WriteString(Pf);
      }
      if (Pst.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(Pst);
      }
      if (Plt.Length != 0) {
        output.WriteRawTag(58);
        output.WriteString(Plt);
      }
      if (ThdI.Length != 0) {
        output.WriteRawTag(66);
        output.WriteString(ThdI);
      }
      if (ThdU.Length != 0) {
        output.WriteRawTag(74);
        output.WriteString(ThdU);
      }
      if (Freq.Length != 0) {
        output.WriteRawTag(82);
        output.WriteString(Freq);
      }
      if (ActivePower.Length != 0) {
        output.WriteRawTag(90);
        output.WriteString(ActivePower);
      }
      if (ApparentPower.Length != 0) {
        output.WriteRawTag(98);
        output.WriteString(ApparentPower);
      }
      if (ReactivePower.Length != 0) {
        output.WriteRawTag(106);
        output.WriteString(ReactivePower);
      }
      if (CosPhi.Length != 0) {
        output.WriteRawTag(114);
        output.WriteString(CosPhi);
      }
      if (TgPhi.Length != 0) {
        output.WriteRawTag(122);
        output.WriteString(TgPhi);
      }
      if (AnalyzerSampleType != global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType.Avg) {
        output.WriteRawTag(128, 1);
        output.WriteEnum((int) AnalyzerSampleType);
      }
      if (Phase != global::AnalyzerSample.AnalyzerSample.Types.Phase.L1) {
        output.WriteRawTag(136, 1);
        output.WriteEnum((int) Phase);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (U.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(U);
      }
      if (I.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(I);
      }
      if (Cfu.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Cfu);
      }
      if (Cfi.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Cfi);
      }
      if (Pf.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Pf);
      }
      if (Pst.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Pst);
      }
      if (Plt.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Plt);
      }
      if (ThdI.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ThdI);
      }
      if (ThdU.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ThdU);
      }
      if (Freq.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Freq);
      }
      if (ActivePower.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ActivePower);
      }
      if (ApparentPower.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ApparentPower);
      }
      if (ReactivePower.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ReactivePower);
      }
      if (CosPhi.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(CosPhi);
      }
      if (TgPhi.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(TgPhi);
      }
      if (AnalyzerSampleType != global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType.Avg) {
        size += 2 + pb::CodedOutputStream.ComputeEnumSize((int) AnalyzerSampleType);
      }
      if (Phase != global::AnalyzerSample.AnalyzerSample.Types.Phase.L1) {
        size += 2 + pb::CodedOutputStream.ComputeEnumSize((int) Phase);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(AnalyzerSample other) {
      if (other == null) {
        return;
      }
      if (other.U.Length != 0) {
        U = other.U;
      }
      if (other.I.Length != 0) {
        I = other.I;
      }
      if (other.Cfu.Length != 0) {
        Cfu = other.Cfu;
      }
      if (other.Cfi.Length != 0) {
        Cfi = other.Cfi;
      }
      if (other.Pf.Length != 0) {
        Pf = other.Pf;
      }
      if (other.Pst.Length != 0) {
        Pst = other.Pst;
      }
      if (other.Plt.Length != 0) {
        Plt = other.Plt;
      }
      if (other.ThdI.Length != 0) {
        ThdI = other.ThdI;
      }
      if (other.ThdU.Length != 0) {
        ThdU = other.ThdU;
      }
      if (other.Freq.Length != 0) {
        Freq = other.Freq;
      }
      if (other.ActivePower.Length != 0) {
        ActivePower = other.ActivePower;
      }
      if (other.ApparentPower.Length != 0) {
        ApparentPower = other.ApparentPower;
      }
      if (other.ReactivePower.Length != 0) {
        ReactivePower = other.ReactivePower;
      }
      if (other.CosPhi.Length != 0) {
        CosPhi = other.CosPhi;
      }
      if (other.TgPhi.Length != 0) {
        TgPhi = other.TgPhi;
      }
      if (other.AnalyzerSampleType != global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType.Avg) {
        AnalyzerSampleType = other.AnalyzerSampleType;
      }
      if (other.Phase != global::AnalyzerSample.AnalyzerSample.Types.Phase.L1) {
        Phase = other.Phase;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            U = input.ReadString();
            break;
          }
          case 18: {
            I = input.ReadString();
            break;
          }
          case 26: {
            Cfu = input.ReadString();
            break;
          }
          case 34: {
            Cfi = input.ReadString();
            break;
          }
          case 42: {
            Pf = input.ReadString();
            break;
          }
          case 50: {
            Pst = input.ReadString();
            break;
          }
          case 58: {
            Plt = input.ReadString();
            break;
          }
          case 66: {
            ThdI = input.ReadString();
            break;
          }
          case 74: {
            ThdU = input.ReadString();
            break;
          }
          case 82: {
            Freq = input.ReadString();
            break;
          }
          case 90: {
            ActivePower = input.ReadString();
            break;
          }
          case 98: {
            ApparentPower = input.ReadString();
            break;
          }
          case 106: {
            ReactivePower = input.ReadString();
            break;
          }
          case 114: {
            CosPhi = input.ReadString();
            break;
          }
          case 122: {
            TgPhi = input.ReadString();
            break;
          }
          case 128: {
            AnalyzerSampleType = (global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType) input.ReadEnum();
            break;
          }
          case 136: {
            Phase = (global::AnalyzerSample.AnalyzerSample.Types.Phase) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            U = input.ReadString();
            break;
          }
          case 18: {
            I = input.ReadString();
            break;
          }
          case 26: {
            Cfu = input.ReadString();
            break;
          }
          case 34: {
            Cfi = input.ReadString();
            break;
          }
          case 42: {
            Pf = input.ReadString();
            break;
          }
          case 50: {
            Pst = input.ReadString();
            break;
          }
          case 58: {
            Plt = input.ReadString();
            break;
          }
          case 66: {
            ThdI = input.ReadString();
            break;
          }
          case 74: {
            ThdU = input.ReadString();
            break;
          }
          case 82: {
            Freq = input.ReadString();
            break;
          }
          case 90: {
            ActivePower = input.ReadString();
            break;
          }
          case 98: {
            ApparentPower = input.ReadString();
            break;
          }
          case 106: {
            ReactivePower = input.ReadString();
            break;
          }
          case 114: {
            CosPhi = input.ReadString();
            break;
          }
          case 122: {
            TgPhi = input.ReadString();
            break;
          }
          case 128: {
            AnalyzerSampleType = (global::AnalyzerSample.AnalyzerSample.Types.AnalyzerSampleType) input.ReadEnum();
            break;
          }
          case 136: {
            Phase = (global::AnalyzerSample.AnalyzerSample.Types.Phase) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the AnalyzerSample message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum AnalyzerSampleType {
        [pbr::OriginalName("avg")] Avg = 0,
        [pbr::OriginalName("min")] Min = 1,
        [pbr::OriginalName("max")] Max = 2,
      }

      public enum Phase {
        [pbr::OriginalName("L1")] L1 = 0,
        [pbr::OriginalName("L2")] L2 = 1,
        [pbr::OriginalName("L3")] L3 = 2,
        [pbr::OriginalName("L1_N")] L1N = 3,
        [pbr::OriginalName("L2_N")] L2N = 4,
        [pbr::OriginalName("L3_N")] L3N = 5,
        [pbr::OriginalName("PE_N")] PeN = 6,
        [pbr::OriginalName("N")] N = 7,
        [pbr::OriginalName("L1_L2")] L1L2 = 8,
        [pbr::OriginalName("L2_L3")] L2L3 = 9,
        [pbr::OriginalName("L3_L1")] L3L1 = 10,
        [pbr::OriginalName("TOTAL")] Total = 11,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
